## org.eclipse.datatools.sqltools.sqleditor.internal.matching
Class GenericSQLMatchingPairs

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.internal.matching.AbstractMatchingPairs
          org.eclipse.datatools.sqltools.sqleditor.internal.matching.GenericSQLMatchingPairs

All Implemented Interfaces:
  IMatchingPairs

    public class GenericSQLMatchingPairs

extends AbstractMatchingPairs

The class intend for generic SQL language matching token pairs.

Author:
  juewu

Method Summary
`static GenericSQLMatchingPairs` `getInstance()`
`java.lang.String` `getMatchingPatternClosure(java.lang.String token)` Getting the related token pattern closure for a specific token.
`boolean` `isLeftToken(java.lang.String token)` Determine whether the token is left token.
`boolean` `isSupportedToken(java.lang.String token)` Determine whether the token is supported.

Methods inherited from class org.eclipse.datatools.sqltools.sqleditor.internal.matching.AbstractMatchingPairs
`getMatchingPattern`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static GenericSQLMatchingPairs getInstance()

### getMatchingPatternClosure

    public java.lang.String getMatchingPatternClosure(java.lang.String token)

  Description copied from interface: `IMatchingPairs`
  Getting the related token pattern closure for a specific token. When the matching token of this given token is being searching, only the tokens which match the pattern in related token pattern closure will be focused on.

  Specified by:
    `getMatchingPatternClosure` in interface `IMatchingPairs`
  Overrides:
    `getMatchingPatternClosure` in class `AbstractMatchingPairs`
  Parameters:
    `token` - is the specific token whose related token pattern is needed.
  Returns:
    the regular expression presents the related tokens of this specific token.

### isLeftToken

    public boolean isLeftToken(java.lang.String token)

  Description copied from interface: `IMatchingPairs`
  Determine whether the token is left token.

  Specified by:
    `isLeftToken` in interface `IMatchingPairs`
  Overrides:
    `isLeftToken` in class `AbstractMatchingPairs`
  Parameters:
    `token` - a `String` represents token.
  Returns:
    If the token is left token, return true. Otherwise, return false.

### isSupportedToken

    public boolean isSupportedToken(java.lang.String token)

  Description copied from interface: `IMatchingPairs`
  Determine whether the token is supported.

  Specified by:
    `isSupportedToken` in interface `IMatchingPairs`
  Overrides:
    `isSupportedToken` in class `AbstractMatchingPairs`
  Parameters:
    `token` - a `String` represents token.
  Returns:
    If supported, return true. Otherwise, return false.